Package org.snpeff.genBank

# Class Embl

java.lang.Object
org.snpeff.genBank.Features
org.snpeff.genBank.Embl

All Implemented Interfaces:
  `Iterable<Feature>`

public class Embl extends Features
A class representing the same data as an EMBL file References: http://www.ebi.ac.uk/embl/Documentation/User_manual/usrman.html

Author:
  pablocingolani

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`FEATURE_KEY_LEN`
`static final int`
`FEATURE_NAME_LEN`

### Fields inherited from class org.snpeff.genBank.Features

`COMPLEMENT, debug, JOIN, MAX_LEN_TO_SHOW, ORDER`

## Constructor Summary

Constructors
Constructor
Description
`Embl(String fileName)`
Create a Genbank record from a 'GB' file
`Embl(LineFileIterator lineFileIterator)`
Create a Genbank record from a 'GB' file

## Method Summary

Modifier and Type
Method
Description
`protected boolean`
`isNewFeature(String line)`
Has this line a new feature?
`protected void`
`parseFieldLine(String fkey, String valueOri, int fieldLineNum)`
Parse a feature line Line types: ID - identification (begins each entry; 1 per entry) AC - accession number (>=1 per entry) PR - project identifier (0 or 1 per entry) DT - date (2 per entry) DE - description (>=1 per entry) KW - keyword (>=1 per entry) OS - organism species (>=1 per entry) OC - organism classification (>=1 per entry) OG - organelle (0 or 1 per entry) RN - reference number (>=1 per entry) RC - reference comment (>=0 per entry) RP - reference positions (>=1 per entry) RX - reference cross-reference (>=0 per entry) RG - reference group (>=0 per entry) RA - reference author(s) (>=0 per entry) RT - reference title (>=1 per entry) RL - reference location (>=1 per entry) DR - database cross-reference (>=0 per entry) CC - comments or notes (>=0 per entry) AH - assembly header (0 or 1 per entry) AS - assembly information (0 or >=1 per entry) FH - feature table header (2 per entry) FT - feature table data (>=2 per entry) XX - spacer line (many per entry) SQ - sequence header (1 per entry) CO - contig/construct line (0 or >=1 per entry) bb - (blanks) sequence data (>=1 per entry) // - termination line (ends each entry; 1 per entry)
`void`
`readFile()`
Load and parse the contents of a data file

### Methods inherited from class org.snpeff.genBank.Features

`getAccession, getDate, getDefinition, getDivision, getFeatures, getKeywords, getLocusName, getMoleculeType, getOrganism, getReferences, getSequence, getSequenceLength, getShape, getSource, getVersion, isEmpty, iterator, open, parseFeatures, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

## Field Details

### FEATURE_NAME_LEN

public static final int FEATURE_NAME_LEN

See Also:
  - Constant Field Values

### FEATURE_KEY_LEN

public static final int FEATURE_KEY_LEN

See Also:
  - Constant Field Values

## Constructor Details

### Embl

public Embl(LineFileIterator lineFileIterator)
Create a Genbank record from a 'GB' file

Parameters:
  `fileName` -

### Embl

public Embl(String fileName)
Create a Genbank record from a 'GB' file

Parameters:
  `fileName` -

## Method Details

### isNewFeature

protected boolean isNewFeature(String line)
Has this line a new feature?

Specified by:
  `isNewFeature` in class `Features`
Parameters:
  `line` -
Returns:

### parseFieldLine

protected void parseFieldLine(String fkey, String valueOri, int fieldLineNum)
Parse a feature line Line types: ID - identification (begins each entry; 1 per entry) AC - accession number (>=1 per entry) PR - project identifier (0 or 1 per entry) DT - date (2 per entry) DE - description (>=1 per entry) KW - keyword (>=1 per entry) OS - organism species (>=1 per entry) OC - organism classification (>=1 per entry) OG - organelle (0 or 1 per entry) RN - reference number (>=1 per entry) RC - reference comment (>=0 per entry) RP - reference positions (>=1 per entry) RX - reference cross-reference (>=0 per entry) RG - reference group (>=0 per entry) RA - reference author(s) (>=0 per entry) RT - reference title (>=1 per entry) RL - reference location (>=1 per entry) DR - database cross-reference (>=0 per entry) CC - comments or notes (>=0 per entry) AH - assembly header (0 or 1 per entry) AS - assembly information (0 or >=1 per entry) FH - feature table header (2 per entry) FT - feature table data (>=2 per entry) XX - spacer line (many per entry) SQ - sequence header (1 per entry) CO - contig/construct line (0 or >=1 per entry) bb - (blanks) sequence data (>=1 per entry) // - termination line (ends each entry; 1 per entry)

### readFile

public void readFile()
Load and parse the contents of a data file

Specified by:
  `readFile` in class `Features`
Parameters:
  `fileName` -